package de.mcs.tools.sps.emulator.model;

import java.util.HashSet;
import java.util.Set;

public class CommandModel {

  private enum COMMAND {
    START, STOP, NEXT, RESET, NN
  };

  private Set<COMMAND> availableCommands;
  private COMMAND actualCommand;

  public CommandModel() {
    setActualCommand(COMMAND.NN);
    setAvailableCommands(new HashSet<>());
    evaluateAvailableCommands(getActualCommand());
  }

  private void evaluateAvailableCommands(COMMAND command) {
    getAvailableCommands().clear();
    switch (command) {
    case START:
      getAvailableCommands().add(COMMAND.NEXT);
      getAvailableCommands().add(COMMAND.STOP);
      getAvailableCommands().add(COMMAND.RESET);
      break;
    case STOP:
      getAvailableCommands().add(COMMAND.START);
      getAvailableCommands().add(COMMAND.RESET);
      break;
    case NEXT:
      getAvailableCommands().add(COMMAND.STOP);
      getAvailableCommands().add(COMMAND.RESET);
      break;
    case RESET:
    case NN:
      getAvailableCommands().add(COMMAND.START);
      break;
    default:
      break;
    }
  }

  /**
   * @return the availableCommands
   */
  public Set<COMMAND> getAvailableCommands() {
    return availableCommands;
  }

  /**
   * @param availableCommands
   *          the availableCommands to set
   */
  public void setAvailableCommands(Set<COMMAND> availableCommands) {
    this.availableCommands = availableCommands;
  }

  /**
   * @return the actualCommand
   */
  public COMMAND getActualCommand() {
    return actualCommand;
  }

  /**
   * @param actualCommand
   *          the actualCommand to set
   */
  public void setActualCommand(COMMAND actualCommand) {
    this.actualCommand = actualCommand;
  }
}
