/**
 * MCS Media Computer Software
 * Copyright 2019 by Wilfried Klaas
 * Project: SPSEmulator
 * File: WebSessionModel.java
 * EMail: W.Klaas@gmx.de
 * Created: 29.01.2019 wklaa_000
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>
 */
package de.mcs.tools.sps.emulator.model;

/**
 * @author wklaa_000
 *
 */
public class WebSessionModel {

  private ProgramModel program;
  private CommandModel command;
  private InputModel input;
  private OutputModel output;
  private WorkingModel work;

  public WebSessionModel() {
    program = new ProgramModel();
    command = new CommandModel();
    input = new InputModel();
    output = new OutputModel();
    work = new WorkingModel();
  }

  /**
   * @return the input
   */
  public InputModel getInput() {
    return input;
  }

  /**
   * @param input
   *          the input to set
   */
  public void setInput(InputModel input) {
    this.input = input;
  }

  /**
   * @return the output
   */
  public OutputModel getOutput() {
    return output;
  }

  /**
   * @param output
   *          the output to set
   */
  public void setOutput(OutputModel output) {
    this.output = output;
  }

  /**
   * @return the work
   */
  public WorkingModel getWork() {
    return work;
  }

  /**
   * @param work
   *          the work to set
   */
  public void setWork(WorkingModel work) {
    this.work = work;
  }

  /**
   * @return the program
   */
  public ProgramModel getProgram() {
    return program;
  }

  /**
   * @param program
   *          the program to set
   */
  public void setProgram(ProgramModel program) {
    this.program = program;
  }

  /**
   * @return the command
   */
  public CommandModel getCommand() {
    return command;
  }

  /**
   * @param command
   *          the command to set
   */
  public void setCommand(CommandModel command) {
    this.command = command;
  }
}
